Page MenuHomePhabricator

Extending Ecrire
Closed, ResolvedPublic

Description

I am interested and actively extending Ecrire's features. I have redone its settings menu, added alpha and word wrap settings. I have also implemented ctrl-s to save, ctrl-f to find/search, and ctrl-o to open. I will be doing further development.

Ideally I would like to take over the project as it seems others have lost interest. Though I can always fork, or contribute to furthering it. Either way just making my efforts know. I would like the contributions to be part of the official Ecrire, and actually do a release of that. Ideally it will be the text editor for E.

Not having features of EDI, just a general scratch/note pad for minor stuff; copy/paste text, taking quick notes, etc.


Initial switch to elm_code for line numbers, basic syntax highlighting, etc.

Refactored search UI, I plan to integrate it into the bottom of the main editor window. Seems to be how most function. Not sure a window is useful. Seems to get in the way, but for now just making it look better.

Old/Current

New

Uploading active work to repo on github

rbtylee added a subscriber: rbtylee.May 6 2017, 2:02 PM
tasn added a comment.May 9 2017, 2:40 AM

Sorry for not replying earlier, I completely missed this one, as I'm not very active on phab.

You have my blessings, please take over ecrire and give it the love it deserves. :)

Please let me know what I can do to help, preferably by email...

wltjr closed this task as Resolved.May 15 2017, 12:37 PM

No reason to keep this open. Thank you for your sign off, though looks like it will end up as a fork vs being pulled back in as official. Moot to me. Thanks for the offer of help. I appreciate the effort you put into starting the project. Welcome to contribute if you have the interest! Thanks again!